package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ecmbop;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EcmbopMapper {

    int insert(Ecmbop record);

    int insertSelective(Ecmbop record);

    int updateByPrimaryKeySelective(Ecmbop record);

    int updateByPrimaryKey(Ecmbop record);

    int deleteByPrimaryKey(Ecmbop record);

    int deleteByIds(Collection<Object> collection);

    Ecmbop selectByPrimaryKey(Ecmbop record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ecmbop> dyncRead(Map<String, Object> dyncMap);

    Ecmbop selectByEcminr(Ecmbop record);

}